Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QBoxLayout.Direction

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QBoxLayout.Direction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QBoxLayout

    public static final class QBoxLayout.Direction

extends java.lang.Enum
implements QtEnumerator

This type is used to determine the direction of a box layout.

See Also:
  Serialized Form

Field Summary
`static QBoxLayout.Direction` | `BottomToTop` Vertical from bottom to top.
`static QBoxLayout.Direction` | `LeftToRight` Horizontal from left to right.
`static QBoxLayout.Direction` | `RightToLeft` Horizontal from right to left.
`static QBoxLayout.Direction` | `TopToBottom` Vertical from top to bottom.

Method Summary
`static QBoxLayout.Direction` | `resolve(int value)` Returns the QBoxLayout$Direction constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QBoxLayout.Direction` | `valueOf(java.lang.String name)`
`static QBoxLayout.Direction[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LeftToRight

    public static final QBoxLayout.Direction LeftToRight

  Horizontal from left to right.

### RightToLeft

    public static final QBoxLayout.Direction RightToLeft

  Horizontal from right to left.

### TopToBottom

    public static final QBoxLayout.Direction TopToBottom

  Vertical from top to bottom.

### BottomToTop

    public static final QBoxLayout.Direction BottomToTop

  Vertical from bottom to top.

Method Detail

### values

    public static QBoxLayout.Direction[] values()

### valueOf

    public static QBoxLayout.Direction valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QBoxLayout.Direction resolve(int value)

  Returns the QBoxLayout$Direction constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD